Package voltage.core

# Enum Class VoltageModule.MouseCursorTypes

java.lang.Object
java.lang.Enum<VoltageModule.MouseCursorTypes>
voltage.core.VoltageModule.MouseCursorTypes

All Implemented Interfaces:
  `Serializable`, `Comparable<VoltageModule.MouseCursorTypes>`, `Constable`

Enclosing class:
  `VoltageModule`

public static enum VoltageModule.MouseCursorTypes extends Enum<VoltageModule.MouseCursorTypes>
Mouse cursor types.

See Also:
  - `VoltageModule.SetMouseCursor(voltage.core.VoltageModule.MouseCursorTypes)`

- ## Nested Class Summary

  ### Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `Busy`
  `Copying`
  `Crosshair`
  `CustomCursor`
  `DraggingHand`
  `IBeam`
  `Normal`
  `Parent`
  `PointingHand`
  `ResizeBottomEdge`
  `ResizeBottomLeft`
  `ResizeBottomRight`
  `ResizeLeftEdge`
  `ResizeLeftRight`
  `ResizeLeftRightUpDown`
  `ResizeRightEdge`
  `ResizeTopEdge`
  `ResizeTopLeft`
  `ResizeTopRight`
  `ResizeUpDown`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `getValue()`
  `static VoltageModule.MouseCursorTypes`
  `valueOf(String name)`
  Returns the enum constant of this class with the specified name.
  `static VoltageModule.MouseCursorTypes[]`
  `values()`
  Returns an array containing the constants of this enum class, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `compareTo, describeConstable, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### Parent

    public static final VoltageModule.MouseCursorTypes Parent

  - ### Normal

    public static final VoltageModule.MouseCursorTypes Normal

  - ### Busy

    public static final VoltageModule.MouseCursorTypes Busy

  - ### IBeam

    public static final VoltageModule.MouseCursorTypes IBeam

  - ### Crosshair

    public static final VoltageModule.MouseCursorTypes Crosshair

  - ### Copying

    public static final VoltageModule.MouseCursorTypes Copying

  - ### PointingHand

    public static final VoltageModule.MouseCursorTypes PointingHand

  - ### DraggingHand

    public static final VoltageModule.MouseCursorTypes DraggingHand

  - ### ResizeLeftRight

    public static final VoltageModule.MouseCursorTypes ResizeLeftRight

  - ### ResizeUpDown

    public static final VoltageModule.MouseCursorTypes ResizeUpDown

  - ### ResizeLeftRightUpDown

    public static final VoltageModule.MouseCursorTypes ResizeLeftRightUpDown

  - ### ResizeLeftEdge

    public static final VoltageModule.MouseCursorTypes ResizeLeftEdge

  - ### ResizeRightEdge

    public static final VoltageModule.MouseCursorTypes ResizeRightEdge

  - ### ResizeTopEdge

    public static final VoltageModule.MouseCursorTypes ResizeTopEdge

  - ### ResizeBottomEdge

    public static final VoltageModule.MouseCursorTypes ResizeBottomEdge

  - ### ResizeTopLeft

    public static final VoltageModule.MouseCursorTypes ResizeTopLeft

  - ### ResizeTopRight

    public static final VoltageModule.MouseCursorTypes ResizeTopRight

  - ### ResizeBottomLeft

    public static final VoltageModule.MouseCursorTypes ResizeBottomLeft

  - ### ResizeBottomRight

    public static final VoltageModule.MouseCursorTypes ResizeBottomRight

  - ### CustomCursor

    public static final VoltageModule.MouseCursorTypes CustomCursor

- ## Method Details

  - ### values

    public static VoltageModule.MouseCursorTypes[] values()
    Returns an array containing the constants of this enum class, in the order they are declared.
    Returns:
      an array containing the constants of this enum class, in the order they are declared

  - ### valueOf

    public static VoltageModule.MouseCursorTypes valueOf(String name)
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null

  - ### getValue

    public int getValue()